#import <Foundation/Foundation.h>
#import <AVFoundation/AVFoundation.h>

@class ASAlarmWindowController;

@interface ASAlarm : NSObject

@property (retain) NSDate *activationDate;
@property (retain) NSURL *audioFile;
@property (retain) AVAudioPlayer *audioPlayer;
@property (retain) NSTimer *timer;
@property (retain) NSString *message;
@property (weak)   ASAlarmWindowController *windowController;

- (id)initWithActivationDate:(NSDate *)activationDate;

- (void)activate;
- (void)deactivate;

@end
